package DE_EPAGES::MultiStoreConnector::t::MSSynchronization;
use base DE_EPAGES::Core::API::Test;

use strict;
use Test::More tests => 44;

use DE_EPAGES::MultiStoreConnector::API::ProductSynchronization;


sub test {
    
    #get variables
    my $SynchronizerBase = DE_EPAGES::MultiStoreConnector::API::MSSynchronization->new();
    
    ok($SynchronizerBase->isInteger(17),'true integer verified correct');
    ok(not ($SynchronizerBase->isInteger('17')),'false integer verified correct');
    ok(not ($SynchronizerBase->isInteger('0017')),'false integer verified correct');
    ok(not ($SynchronizerBase->isInteger(17.89)),'false integer verified correct');
    ok($SynchronizerBase->isString('test'),'true string verified correct');
    ok($SynchronizerBase->isString('17'),'true string verified correct');
    ok($SynchronizerBase->isString('17.008'),'true string verified correct');
    ok($SynchronizerBase->isString(''),'true string verified correct');
    ok(not ($SynchronizerBase->isString(undef)),'false string verified correct');
    ok(not ($SynchronizerBase->isString(17.008)),'false string verified correct');
    ok(not ($SynchronizerBase->isString(17)),'false string verified correct');
    ok(not ($SynchronizerBase->isBool(17)),'false boolean verified correct');
    ok(not ($SynchronizerBase->isBool('test')),'false boolean verified correct');
    ok(not ($SynchronizerBase->isBool('17.008')),'false boolean verified correct');
    ok(not ($SynchronizerBase->isBool(17.008)),'false boolean verified correct');
    ok(not ($SynchronizerBase->isBool('0')),'false boolean verified correct');
    ok(not ($SynchronizerBase->isBool('1')),'false boolean verified correct');
    ok(not ($SynchronizerBase->isBool(0)),'false boolean verified correct');
    ok(not ($SynchronizerBase->isBool(1)),'false boolean verified correct');
    ok($SynchronizerBase->isBool('false'),'true boolean verified correct');
    ok($SynchronizerBase->isBool('true'),'true boolean verified correct');
    ok($SynchronizerBase->isNumber(0),'true number verified correct');
    ok($SynchronizerBase->isNumber(1),'true number verified correct');
    ok($SynchronizerBase->isNumber(17),'true number verified correct');
    ok($SynchronizerBase->isNumber(17.008),'true number verified correct');
    ok($SynchronizerBase->isNumber(-1),'true number verified correct');
    ok($SynchronizerBase->isNumber(-17),'true number verified correct');
    ok($SynchronizerBase->isNumber(-17.0008),'true number verified correct');
    ok(not ($SynchronizerBase->isNumber('17.008')),'false number verified correct');
    ok(not ($SynchronizerBase->isNumber('17')),'false number verified correct');
    ok($SynchronizerBase->isObject({'key' => 'value'}), 'true object verified correct');
    ok($SynchronizerBase->isObject({'key' => 'value', 'key2' => 'value2'}), 'true object verified correct');
    ok(not($SynchronizerBase->isObject(17)), 'false object verified correct');
    ok(not($SynchronizerBase->isObject('0017')), 'false object verified correct');
    ok(not($SynchronizerBase->isObject(17.89)), 'false object verified correct');
    ok(not($SynchronizerBase->isObject('test')), 'false object verified correct');
    ok(not($SynchronizerBase->isObject(undef)), 'false object verified correct');
    ok($SynchronizerBase->isArray([{'key' => 'value'}]), 'true array verified correct');
    ok($SynchronizerBase->isArray([{'key' => 'value'}, {'key' => 'value'}]), 'true array verified correct');
    ok(not($SynchronizerBase->isArray({'key' => 'value'})), 'false array verified correct');
    ok(not($SynchronizerBase->isArray('test')), 'false array verified correct');
    ok(not($SynchronizerBase->isArray(17)), 'false array verified correct');
    ok(not($SynchronizerBase->isArray(17.89)), 'false array verified correct');
    ok(not($SynchronizerBase->isArray(undef)), 'false array verified correct');

}


sub cleanup {
    return 1;
}

sub init {
    return 1;
}

__PACKAGE__->runScript;
