package DE_EPAGES::WebService::t::unit::Util;
use base DE_EPAGES::Core::API::Test;

use DE_EPAGES::WebService::API::Util qw ( ReadJSONBoolean );
use Test::More;
use strict;

use JSON;



sub test {
    my $self = shift;

    $self->test_readJSONBoolean();

    done_testing();
}



sub test_readJSONBoolean {
    my $self = shift;
    my $SubTestName = (caller(0))[3];

    is(ReadJSONBoolean(JSON::PP::true), 1, "$SubTestName - test if JSON::PP::true was read correctly");
    is(ReadJSONBoolean(JSON::PP::false), 0, "$SubTestName - test if JSON::PP::false was read correctly");

    is(ReadJSONBoolean(JSON::true), 1, "$SubTestName - test if JSON::true was read correctly");
    is(ReadJSONBoolean(JSON::false), 0, "$SubTestName - test if JSON::false was read correctly");

    is(ReadJSONBoolean(undef), 0, "$SubTestName - test if undef was read correctly");
    is(ReadJSONBoolean('test'), 0, "$SubTestName - test if a string was read correctly");

    is(ReadJSONBoolean('true'), 1, "$SubTestName - test if true was read correctly");
    is(ReadJSONBoolean('false'), 0, "$SubTestName - test if false was read correctly");

    is(ReadJSONBoolean(1), 1, "$SubTestName - test if 1 was read correctly");
    is(ReadJSONBoolean(0), 0, "$SubTestName - test if 0 was read correctly");
}

__PACKAGE__->runScript();